commit:     b7b0b24dae7d9a0f8b5a8447a3901560d6184040
Author:     Felix Neumärker <xdch47 <AT> posteo <DOT> de>
AuthorDate: Sat Dec  7 17:41:51 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Dec 12 17:53:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7b0b24d

www-apps/gitea: bump to 1.10.1

Closes: https://bugs.gentoo.org/689748
Closes: https://bugs.gentoo.org/702192

Package-Manager: Portage-2.3.80, Repoman-2.3.20
Signed-off-by: Felix Neumärker <xdch47 <AT> posteo.de>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-apps/gitea/Manifest                            |  2 +-
 .../{gitea-1.10.0.ebuild => gitea-1.10.1.ebuild}   | 25 ++++++++++++++--------
 www-apps/gitea/gitea-9999.ebuild                   | 25 ++++++++++++++--------
 3 files changed, 33 insertions(+), 19 deletions(-)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index cbef985343f..6a880b10aac 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1,3 +1,3 @@
-DIST gitea-1.10.0.tar.gz 28905929 BLAKE2B 
ddf45483784ebf2d300d7f957e355f20c56e0e31825b3a290935ef9d8b7a2b0b154769b44eb270c9bb3165b8297cc1d8b51e9e660828eb95ab019b4857f8c37a
 SHA512 
3bd99ee7289b6a0035d0a6da868562692fa9941a4f14d7555044c06efc7165615dc95547713e352d5cfcd7817596a9f4b24c5fa28c90066f4586ccb44a637d08
+DIST gitea-1.10.1.tar.gz 30146802 BLAKE2B 
d566e58bc8031c6ff2741861c93deb1cc0bbe2236cfa8d1f054e1453d39b294ae55bd3bae46373efa39cd0b5bc9dfc248ecc0c64642eb4df68fb01042ef1c692
 SHA512 
d7baea6ac9aca3a3226d36325000c71c886d560eeecb2fdbed924b4924db34882cdd82d07120e3c7175a6d87140a1f63cc575c3be44513e08f8e557856b39acd
 DIST gitea-1.8.3.tar.gz 24320679 BLAKE2B 
9ef901ef7e1cb6ffa9a2aa082798b7a18ac2a6fdb4379082df3f942d767a27fd3915c7a4d2cb1af6f502a8cde3c1c98557c42d4c0ef60be7bdad78d8931035e0
 SHA512 
f6019fbfc056e4c7176222ccaca1cf638bd1f52323de54fcddc618129aeb778674f6e305de60e7d17b69505ad65439445ee6b5e368afdf0a6fbace7407acb495
 DIST gitea-1.9.5.tar.gz 25355286 BLAKE2B 
8b733651de64fcafa7b41a6fc812fcad8ac7311a7e7acc679ec7dab759175ec13a096902aece209a3fef31eefd3a99493e13f7c9792e1e41b5a1c3376680d3ca
 SHA512 
f7a04d3bb37a33da15290355f3f02ff4c1b737e8458cf65f731c870ac9e452243b1fdacc5f74accf963fb00cdd200dd31191058eb1d6dda8b1033846a961c7d3

diff --git a/www-apps/gitea/gitea-1.10.0.ebuild 
b/www-apps/gitea/gitea-1.10.1.ebuild
similarity index 80%
rename from www-apps/gitea/gitea-1.10.0.ebuild
rename to www-apps/gitea/gitea-1.10.1.ebuild
index ef0e2c0351e..ebc72d5057b 100644
--- a/www-apps/gitea/gitea-1.10.0.ebuild
+++ b/www-apps/gitea/gitea-1.10.1.ebuild
@@ -45,17 +45,24 @@ S="${WORKDIR}/${P}/src/${EGO_PN}"
 PATCHES=( "${FILESDIR}/gitea-logflags.patch" )
 
 gitea_make() {
-       local my_tags=(
+       local gitea_tags=(
                bindata
                $(usev pam)
                $(usex sqlite 'sqlite sqlite_unlock_notify' '')
        )
-       local my_makeopt=(
-               TAGS="${my_tags[@]}"
-               LDFLAGS="-extldflags \"${LDFLAGS}\""
+       local gitea_settings=(
+               "-X 
code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/gitea/app.ini"
+               "-X 
code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
+               "-X 
code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
        )
-       [[ ${PV} != 9999* ]] && my_makeopt+=("DRONE_TAG=${PV}")
-       GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" 
"$@"
+       local makeenv=(
+               TAGS="${gitea_tags[@]}"
+               LDFLAGS="-extldflags \"${LDFLAGS}\" ${gitea_settings[@]}"
+               GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)"
+       )
+       [[ ${PV} != 9999* ]] && makeenv+=("DRONE_TAG=${PV}")
+
+       env "${makeenv[@]}" emake "$@"
 }
 
 src_prepare() {
@@ -90,13 +97,13 @@ src_compile() {
 src_test() {
        if has network-sandbox ${FEATURES}; then
                einfo "Remove tests which are known to fail with 
network-sandbox enabled."
-               rm -rf ./modules/migrations/github_test.go
+               rm ./modules/migrations/github_test.go || die
        fi
 
        if [[ ${PV} != 9999* ]] ; then
                einfo "Remove tests which depend on gitea git-repo."
-               rm -rf ./modules/git/blob_test.go
-               rm -rf ./modules/git/repo_test.go
+               rm ./modules/git/blob_test.go || die
+               rm ./modules/git/repo_test.go || die
        fi
 
        default

diff --git a/www-apps/gitea/gitea-9999.ebuild b/www-apps/gitea/gitea-9999.ebuild
index 1fd7feaaff4..9e8bcf9c605 100644
--- a/www-apps/gitea/gitea-9999.ebuild
+++ b/www-apps/gitea/gitea-9999.ebuild
@@ -43,17 +43,24 @@ DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md 
)
 S="${WORKDIR}/${P}/src/${EGO_PN}"
 
 gitea_make() {
-       local my_tags=(
+       local gitea_tags=(
                bindata
                $(usev pam)
                $(usex sqlite 'sqlite sqlite_unlock_notify' '')
        )
-       local my_makeopt=(
-               TAGS="${my_tags[@]}"
-               LDFLAGS="-extldflags \"${LDFLAGS}\""
+       local gitea_settings=(
+               "-X 
code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/gitea/app.ini"
+               "-X 
code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
+               "-X 
code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
        )
-       [[ ${PV} != 9999* ]] && my_makeopt+=("DRONE_TAG=${PV}")
-       GOPATH=${WORKDIR}/${P}:$(get_golibdir_gopath) emake "${my_makeopt[@]}" 
"$@"
+       local makeenv=(
+               TAGS="${gitea_tags[@]}"
+               LDFLAGS="-extldflags \"${LDFLAGS}\" ${gitea_settings[@]}"
+               GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)"
+       )
+       [[ ${PV} != 9999* ]] && makeenv+=("DRONE_TAG=${PV}")
+
+       env "${makeenv[@]}" emake "$@"
 }
 
 src_prepare() {
@@ -88,13 +95,13 @@ src_compile() {
 src_test() {
        if has network-sandbox ${FEATURES}; then
                einfo "Remove tests which are known to fail with 
network-sandbox enabled."
-               rm -rf ./modules/migrations/github_test.go
+               rm ./modules/migrations/github_test.go || die
        fi
 
        if [[ ${PV} != 9999* ]] ; then
                einfo "Remove tests which depend on gitea git-repo."
-               rm -rf ./modules/git/blob_test.go
-               rm -rf ./modules/git/repo_test.go
+               rm ./modules/git/blob_test.go || die
+               rm ./modules/git/repo_test.go || die
        fi
 
        default

Reply via email to